DynamicJava Javadoc: Class OptionsDialog.InterpreterPanel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.gui
Class OptionsDialog.InterpreterPanel

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--koala.dynamicjava.gui.OptionsDialog.InterpreterPanel

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

Enclosing class:
  OptionsDialog

protected class OptionsDialog.InterpreterPanel
extends javax.swing.JPanel

The interpreter option panel

See Also:
  Serialized Form

Inner Class Summary
`protected class` | `OptionsDialog.InterpreterPanel.CheckBoxChangeListener` To listen to the checkbox
`protected class` | `OptionsDialog.InterpreterPanel.FileCheckBoxChangeListener` To listen to the file checkbox
`protected class` | `OptionsDialog.InterpreterPanel.InitFileBrowseButtonAction` The action associated with the 'browse' button

Inner classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Field Summary
`protected javax.swing.JButton` | `browseButton` The browse button
`protected javax.swing.JCheckBox` | `checkBox` The check box
`protected javax.swing.JCheckBox` | `fileCheckBox` The file check box
`protected javax.swing.JLabel` | `fileLabel` The file label
`protected javax.swing.JTextField` | `fileTextField` The file text field
`protected javax.swing.JLabel` | `label` The label
`protected javax.swing.JTextField` | `textField` The text field

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`OptionsDialog.InterpreterPanel()` Creates a new panel

Method Summary
`java.lang.String` | `getFilename()` Returns the initialization file name
`java.lang.String` | `getName()` Returns the name to give to the interpreter
`boolean` | `isExportationSelected()` Has the interpreter to be exported?
`boolean` | `isInitializationSelected()` Is the initialization file checkbox selected
`void` | `setExportationSelected(boolean b)` Sets the state of the checkbox
`void` | `setFilename(java.lang.String s)` Sets the initialization file name
`void` | `setInitializationSelected(boolean b)` Sets the initialization file checkbox state
`void` | `setName(java.lang.String s)` Sets the interpreter name

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUIClassID, paramString, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getVerifyInputWhenFocusTarget, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, hide, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processFocusEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### textField

    protected javax.swing.JTextField textField

  The text field

### checkBox

    protected javax.swing.JCheckBox checkBox

  The check box

### label

    protected javax.swing.JLabel label

  The label

### fileCheckBox

    protected javax.swing.JCheckBox fileCheckBox

  The file check box

### fileLabel

    protected javax.swing.JLabel fileLabel

  The file label

### fileTextField

    protected javax.swing.JTextField fileTextField

  The file text field

### browseButton

    protected javax.swing.JButton browseButton

  The browse button

Constructor Detail

### OptionsDialog.InterpreterPanel

    public OptionsDialog.InterpreterPanel()

  Creates a new panel

Method Detail

### isExportationSelected

    public boolean isExportationSelected()

  Has the interpreter to be exported?

### setExportationSelected

    public void setExportationSelected(boolean b)

  Sets the state of the checkbox

### getName

    public java.lang.String getName()

  Returns the name to give to the interpreter
  Overrides:
    `getName` in class `java.awt.Component`

### setName

    public void setName(java.lang.String s)

  Sets the interpreter name
  Overrides:
    `setName` in class `java.awt.Component`

### isInitializationSelected

    public boolean isInitializationSelected()

  Is the initialization file checkbox selected

### setInitializationSelected

    public void setInitializationSelected(boolean b)

  Sets the initialization file checkbox state

### getFilename

    public java.lang.String getFilename()

  Returns the initialization file name

### setFilename

    public void setFilename(java.lang.String s)

  Sets the initialization file name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.